Attribute VB_Name = "modVzhledOkna"
Option Explicit

Dim Okno As Form

'Vykresl vzhled okna
Public Sub VykresliVzhledOkna(Okno1 As Form)
    Dim cykl As Integer, VypniLine As Boolean
    
    Set Okno = Okno1
    
    Okno.BackColor = RGB(126, 149, 163)
    
    Okno.picLista.Top = 6
    Okno.picLista.Left = 6
    Okno.picLista.Height = 18
    Okno.picLista.Width = Okno.ScaleWidth - 12
    
    Okno.imgMenu.Top = 2
    Okno.imgMenu.Left = Okno.ScaleWidth - 12 - 2 - 14
    Okno.imgMenu.Width = 14
    Okno.imgMenu.Height = 14
    
    For cykl = 1 To 20
        Okno.picLista.Line ((Okno.ScaleWidth - 200) + ((cykl - 1) * 10), 0)-((Okno.ScaleWidth - 200) + (cykl * 10), 18), RGB(224 - (cykl * 4.9), 224 - (cykl * 3.75), 224 - (cykl * 3.05)), BF
    Next cykl
    For cykl = 0 To 17
        If VypniLine = True Then VypniLine = False Else VypniLine = True
        If VypniLine = False Then Okno.picLista.Line (0, cykl)-(Okno.ScaleWidth, cykl), RGB(126, 149, 163)
    Next cykl
    
    Vykresli3DOkraj Okno, 4, 4, Okno.ScaleWidth - 4, 26, RGB(126, 149, 163), True
    Okno.Line (6, 6 + 26)-(Okno.ScaleWidth - 6, Okno.ScaleHeight - 6), RGB(224, 224, 224), BF
    Vykresli3DOkraj Okno, 4, 4 + 26, Okno.ScaleWidth - 4, Okno.ScaleHeight - 4, RGB(126, 149, 163), True
    Vykresli3DOkraj Okno, 0, 0, Okno.ScaleWidth, Okno.ScaleHeight, RGB(126, 149, 163), False
    Vykresli3DOkraj Okno.picLista, Okno.picLista.ScaleWidth - 2 - 14, 2, Okno.picLista.ScaleWidth - 2, 16, RGB(126, 149, 163), False
    
    Okno.picLista.ForeColor = RGB(126, 149, 163)
    Okno.picLista.CurrentX = 3
    Okno.picLista.CurrentY = 2
    Okno.picLista.Print Okno.Caption
    Okno.picLista.ForeColor = RGB(126, 149, 163)
    Okno.picLista.CurrentX = 5
    Okno.picLista.CurrentY = 2
    Okno.picLista.Print Okno.Caption
    Okno.picLista.ForeColor = RGB(126, 149, 163)
    Okno.picLista.CurrentX = 4
    Okno.picLista.CurrentY = 1
    Okno.picLista.Print Okno.Caption
    Okno.picLista.ForeColor = RGB(126, 149, 163)
    Okno.picLista.CurrentX = 4
    Okno.picLista.CurrentY = 3
    Okno.picLista.Print Okno.Caption
    Okno.picLista.ForeColor = vbWhite
    Okno.picLista.CurrentX = 4
    Okno.picLista.CurrentY = 2
    Okno.picLista.Print Okno.Caption
End Sub

'Vykresl 3D okraj kolem souadnic
Private Sub Vykresli3DOkraj(Kam As Object, X As Integer, Y As Integer, X1 As Integer, Y1 As Integer, Barva As Long, Otocit As Boolean)
    If Otocit = False Then
        Vykresli3DCaru Kam, X, Y, X1 - X, Barva, True, False, True
        Vykresli3DCaru Kam, X, Y, Y1 - Y, Barva, False, False, True
        Vykresli3DCaru Kam, X, Y1 - 2, X1 - X, Barva, True, False, False
        Vykresli3DCaru Kam, X1 - 2, Y, Y1 - Y, Barva, False, False, False
    Else
        Vykresli3DCaru Kam, X, Y, X1 - X, Barva, True, True, False
        Vykresli3DCaru Kam, X, Y, Y1 - Y, Barva, False, True, False
        Vykresli3DCaru Kam, X, Y1 - 2, X1 - X, Barva, True, True, True
        Vykresli3DCaru Kam, X1 - 2, Y, Y1 - Y, Barva, False, True, True
    End If
End Sub

'Vykresl dv ry
Private Sub Vykresli3DCaru(Kam As Object, X As Integer, Y As Integer, Delka As Integer, Barva As Long, Vodorovne As Boolean, Otocit As Boolean, Svetla As Boolean)
    Dim Barva1 As Integer, Barva2 As Integer
    Dim R As Integer, G As Integer, B As Integer
    
    R = Barva Mod 256
    G = (Barva \ 256) Mod 256
    B = Barva \ 256 \ 256
    
    If Svetla = True Then
        Barva1 = 50
        Barva2 = 100
    Else
        Barva1 = -50
        Barva2 = -100
    End If
    
    If Otocit = True Then
        Barva1 = Barva1 * 2
        Barva2 = Barva2 \ 2
    End If
    
    If Vodorovne = True Then
        Kam.Line (X, Y)-(X + Delka, Y), RGB(R + Barva1, G + Barva1, B + Barva1)
        Kam.Line (X, Y + 1)-(X + Delka, Y + 1), RGB(R + Barva2, G + Barva2, B + Barva2)
    Else
        Kam.Line (X, Y)-(X, Y + Delka), RGB(R + Barva1, G + Barva1, B + Barva1)
        Kam.Line (X + 1, Y)-(X + 1, Y + Delka), RGB(R + Barva2, G + Barva2, B + Barva2)
    End If
End Sub
 
